Upgrade Karmic to wpa_supplicant 0.7.x

Curtis Larsen curtlarsen at gmail.com
Tue Mar 23 15:00:18 EDT 2010


Pavel,

Thanks for your reply.

> You don't give enough details for others to retrace your steps and
> reproduce your problem or to see what you are doing wrong.

I am using ubuntu 9.10 (64bit karmic koala).  I have an intel 5100 and
I am trying to get it to *only* connect to the 5ghz band on the SSID
at my work/university campus.  I want this because I have done many
iperf tests and whenever I am on 2.4Ghz - it is always about half of
the throughput (The entire campus is Cisco 802.11n with same SSID on
2.4 and 5ghz) 5Ghz has 40Mhz wide channels enabled, 2.4 uses 20Mhz.

 Jouni suggested (in another forum) solving this problem with the
"scan_freq" parameter which requires  wpa_supplicant-0.7.x, and
nl80211.  I am currently using 64bit ubuntu karmic koala with
wpa_supplicant-0.6.9-3.  Here are the steps I have tried to get to the
new version of wpa_supplicant and use the new driver:

1- Downloaded wpa_supplicant-0.7.1.tar.gz
2- Opened with archive manager and extracted contents to new directory
"/home/clarsen/wpa_sup"
3- Created build time configuration file as mentioned here:
http://hostap.epitest.fi/gitweb/gitweb.cgi?p=hostap.git;a=blob_plain;f=wpa_supplicant/README
...but realized the example on that page did not have the nl80211
driver.
4- Discovered file named "defconfig" in "wpa_sup" directory which does
have nl802.11 driver and so renamed as ".config" with nl80211 driver
enabled
5- In the "wpa_sup" directory I typed "make" and this is the *entire*
output I get:

clarsen at box2:~/wpasup$ make
for d in ap common crypto drivers eapol_auth eapol_supp eap_common
eap_peer eap_server l2_packet radius rsn_supp tls utils wps; do [ -d
$d ] && make -C $d; done
make: *** [all] Error 1
clarsen at box2:~/wpasup$

6- I then read the file named "README" in the "wpa_sup" directory
which says the following:


...Source code files have been moved around in v0.6.x releases and
compared to earlier releases, the programs are now build by first
going to a subdirectory (wpa_supplicant or hostapd) and creating
build configuration (.config) and running 'make' there (for
Linux/BSD/cygwin builds).

7- Then, since I see no subdirectory in the "wpa_sup" directory I
decided to create one, copied ".config" to it, and then typed "make".
Here is the output that I got:

clarsen at box2:~/wpasup/wpa_supplicant$ make
make: *** No targets specified and no makefile found.  Stop.
clarsen at box2:~/wpasup/wpa_supplicant$

Please help me figure out what I am doing wrong.


Thanks,

Curtis


More information about the HostAP mailing list